summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /media-gfx/sane-frontends
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'media-gfx/sane-frontends')
-rw-r--r--media-gfx/sane-frontends/Manifest1
-rw-r--r--media-gfx/sane-frontends/files/MissingCapsFlag.patch12
-rw-r--r--media-gfx/sane-frontends/metadata.xml7
-rw-r--r--media-gfx/sane-frontends/sane-frontends-1.0.14.ebuild56
4 files changed, 76 insertions, 0 deletions
diff --git a/media-gfx/sane-frontends/Manifest b/media-gfx/sane-frontends/Manifest
new file mode 100644
index 00000000000..eb9d8792cf6
--- /dev/null
+++ b/media-gfx/sane-frontends/Manifest
@@ -0,0 +1 @@
+DIST sane-frontends-1.0.14.tar.gz 231892 SHA256 e7839dac1b70b5bb39124615aba8a136f5275d0e78bafd3d52ed76964ffea4a9 SHA512 51b24a9bd6889e99419c1d6abb30cb14d8f89b6196c5147044697bdb1b39ee029bdc0d7c6e1f1e800491988aa26f658bc974b25040c49d008ca8977673c78710 WHIRLPOOL 734abe5322f0726eabfa7e7f6287d98315bcf7e24f9d06a3cf7248c408f0b055438261a73ae29ce102760403d94f1905cf596756eb42f63e747e2a55a4c5b000
diff --git a/media-gfx/sane-frontends/files/MissingCapsFlag.patch b/media-gfx/sane-frontends/files/MissingCapsFlag.patch
new file mode 100644
index 00000000000..4175a87f8e6
--- /dev/null
+++ b/media-gfx/sane-frontends/files/MissingCapsFlag.patch
@@ -0,0 +1,12 @@
+--- src/gtkglue.c 2005-04-16 15:12:07.000000000 +0200
++++ src/gtkglue.c.new 2009-06-24 00:26:46.000000000 +0200
+@@ -1476,8 +1476,7 @@
+ || opt->type == SANE_TYPE_GROUP || !dialog->element[i].widget)
+ continue;
+
+- if (!(opt->cap & SANE_CAP_ALWAYS_SETTABLE))
+- gtk_widget_set_sensitive (dialog->element[i].widget, sensitive);
++ gtk_widget_set_sensitive (dialog->element[i].widget, sensitive);
+ }
+ }
+
diff --git a/media-gfx/sane-frontends/metadata.xml b/media-gfx/sane-frontends/metadata.xml
new file mode 100644
index 00000000000..ff62877c67a
--- /dev/null
+++ b/media-gfx/sane-frontends/metadata.xml
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer>
+ <email>maintainer-needed@gentoo.org</email>
+</maintainer>
+</pkgmetadata>
diff --git a/media-gfx/sane-frontends/sane-frontends-1.0.14.ebuild b/media-gfx/sane-frontends/sane-frontends-1.0.14.ebuild
new file mode 100644
index 00000000000..bf4e943e740
--- /dev/null
+++ b/media-gfx/sane-frontends/sane-frontends-1.0.14.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit eutils
+
+DESCRIPTION="Scanner Access Now Easy"
+HOMEPAGE="http://www.sane-project.org"
+SRC_URI="ftp://ftp.sane-project.org/pub/sane/${P}/${P}.tar.gz
+ ftp://ftp.sane-project.org/pub/sane/old-versions/${P}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 ppc ppc64 sparc x86"
+IUSE="gimp"
+
+DEPEND="media-gfx/sane-backends
+ gimp? ( media-gfx/gimp )"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ epatch "${FILESDIR}/MissingCapsFlag.patch"
+}
+
+src_compile() {
+ local myconf=""
+ use gimp || myconf="--disable-gimp"
+ use gimp && ! has_version ">=media-gfx/gimp-2" && myconf="--enable-gimp12"
+ econf \
+ --datadir=/usr/share/misc \
+ ${myconf} || die
+ emake || die "emake failed"
+}
+
+src_install() {
+ local gimpplugindir
+ local gimptool
+ emake DESTDIR="${D}" install || die
+ if use gimp; then
+ for gimptool in gimptool gimptool-2.0 gimptool-1.2; do
+ if [ -x /usr/bin/${gimptool} ]; then
+ einfo "Setting plugin link for GIMP version $(/usr/bin/${gimptool} --version)"
+ gimpplugindir=$(/usr/bin/${gimptool} --gimpplugindir)/plug-ins
+ break
+ fi
+ done
+ if [ "/plug-ins" != "${gimpplugindir}" ]; then
+ dodir ${gimpplugindir}
+ dosym /usr/bin/xscanimage ${gimpplugindir}/xscanimage
+ else
+ ewarn "No idea where to find the gimp plugin directory"
+ fi
+ fi
+ dodoc AUTHORS Changelog NEWS PROBLEMS README
+}